Skip navigation.
Home
The QNX Community Portal

View topic - Momentics Subversion

Momentics Subversion

anything that doesn't fit to other groups.

Momentics Subversion

Postby adibood » Thu Jun 30, 2016 12:48 pm

Hello,

I'm using Momentics 4.7.0 with Subversion plugin on Windows 7 64bits. I have also TortoiseSVN 1.9.2 installed to managed other folders. All my source code is versioned with SVN.

Everything was working fine in Momentics with Subversion plugin until today. I have update TortoiseSVN to 1.9.2 and committed one file with in the database. Then I go back to my project in Momentics to commit some modifications. When I tried to synchronize with the database I get an error : "Synchronized operation failed. svn : malformed representation header". See attached picture.

I try to downgrade TortoiseSVN to 1.8.12 version and make a new repository to see if there is a difference but no chance. I think my commit with new version of TortoiseSVN changed the header format or something. And now, I don't know how to come back to a database compatible with Momentics Subversion plugin....

Does anyone had this kind of error ?

Thanks
Attachments
svn_failed.jpg
(51.5 KiB) Not downloaded yet
adibood
Active Member
 
Posts: 14
Joined: Mon Nov 18, 2013 9:57 am

Re: Momentics Subversion

Postby nico04 » Fri Jul 01, 2016 6:27 am

This is a SVN problem, not a Momentics one.
First, try to upgrade Momentics SVN plugin.
Then search for 'svn "Synchronized operation failed. svn : malformed representation header" ' in google.
This link might be of help : http://dev-notes-to-self.blogspot.fr/20 ... itory.html
nico04
Active Member
 
Posts: 77
Joined: Wed Sep 29, 2010 9:59 am
Location: France

Re: Momentics Subversion

Postby adibood » Fri Jul 01, 2016 10:21 am

Hello nico04,

Yep you're right, it's a problem between TortoiseSVN version and SVNKit plugin version in Momentics. I tried to install TortoiseSVN 1.6.16 and create a new repository. Momentics SVN plugin is able to recognize the DB. So, it's just a conflict with version.

I'm stuck with Momentics 4.7.0 so with Eclipse Galileo. Do you know if there is a possibility to upgrade SVN Connectors (SVNKit) with this old version of Eclipse ?
adibood
Active Member
 
Posts: 14
Joined: Mon Nov 18, 2013 9:57 am

Re: Momentics Subversion

Postby nico04 » Wed Jul 06, 2016 2:28 pm

I don't use svn anymore.
Last time I did, there were many Eclipse svn plugins available.
nico04
Active Member
 
Posts: 77
Joined: Wed Sep 29, 2010 9:59 am
Location: France


Return to General Programming

Who is online

Users browsing this forum: No registered users and 1 guest